import { connect } from 'umi';
import CommonListTree from '@/components/Common/CommonListTree';

function commonListTree({
  dispatch, app, content,
}) {
  const commonListProps = {
    app,
    content,
    dispatch,
    onAddPane: getAddPane, /* 增加标签 */
  };
  function getAddPane(pane) {
    /* 增加标签 */
    dispatch({ type: 'app/addPane', payload: { pane } });
  }
  return (
    <CommonListTree {...commonListProps} style={{ height: '100%' }} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(commonListTree);
